Subject: Re: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Juri Linkov <[email-masked]>
Date: Thu, 21 Nov 2019 01:00:53 +0200

>> -(defun image-increase-size (n)
>> +(defun image-increase-size (&optional n event)
>
> Can we avoid mixing numerical argument with a mouse event?  It looks
> unclean to me.  How about a simple wrapper that accepts a mouse event
> and calls image-increase/decrease-size with a suitable arg?

So I installed a new patch with wrappers.

BTW, while testing it for image scaling on a quite small image file,
Emacs consumed several GB of all available memory and almost all swap,
before I noticed and evaluated M-: (clear-image-cache) that freed memory.

Memory leak?